httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 41867] <DirectoryMatch> Matches Files
Date Thu, 14 Aug 2008 03:55:52 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=41867





--- Comment #14 from imacat <imacat@mail.imacat.idv.tw>  2008-08-13 20:55:51 PST ---
    Hi.  This is imacat from Taiwan.

(In reply to comment #13)
> Here is my conf

    Thank you for your hint.  I got an error "Invalid command 'Require'" with
your httpd.conf.  The terminal log is attached below.  I searched Google and
found nothing on this.  Could you please tell me what does it mean?  Thank you
very much.

imacat@rinse ~ % cat /tmp/apache/httpd.conf
Listen 8080
LoadModule access_compat_module /tmp/apache/lib/mod_access_compat.so
User daemon
Group daemon
ServerName agneyam
DocumentRoot "/tmp/apache/htdocs"
<Directory />
    Options FollowSymLinks
    AllowOverride None
    Require all denied
</Directory>

<Directory "/tmp/apache/htdocs">
    Options Indexes FollowSymLinks
    AllowOverride None
    AuthzMergeRules Off
</Directory>

<DirectoryMatch ^/tmp/apache/htdocs/private>
  Deny from all
</DirectoryMatch>
imacat@rinse ~ % /tmp/httpd-2.3-20080813101457/httpd -f /tmp/apache/httpd.conf
Syntax error on line 10 of /tmp/apache/httpd.conf:
Invalid command 'Require', perhaps misspelled or defined by a module not
included in the server configuration
imacat@rinse ~ %


-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message